Skip to content

Patch Login ​

PATCH
/v1/login

Impersonate another user, only available using JWT and for admins.

client_id == incoming admin client id
body.target_client_id == person we're going to impersonate

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Request Body​

application/json
JSON
{
  
"target_client_id": "string"
}

Responses​

OK

application/json
JSON
{
  
"username": "string",
  
"access_token": "string",
  
"account_type": "string",
  
"client_id": "string",
  
"distributor_id": "string",
  
"distributor_name": "string",
  
"distributor_status": "string",
  
"business_segment": null,
  
"refresh_token": null,
  
"scope": null,
  
"expiry_date": null,
  
"member_state": null,
  
"payment_segment": null,
  
"payment_condition": null,
  
"preferred_language": null,
  
"roles": [
  
  
"string"
  
],
  
"supplier_id": null,
  
"booking_id": null,
  
"impersonator_client_id": null,
  
"foreign_vat_numbers": {
  
  
"additionalProperties": "string"
  
},
  
"fxratemoment_id": null,
  
"allowed_currencies": [
  
  
"string"
  
]
}

Playground​

Server
Authorization
Body

Samples​